<html>
<head>
<title>Ogre::GpuLogicalIndexUse Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1GpuLogicalIndexUse.html">GpuLogicalIndexUse</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GpuLogicalIndexUse Struct Reference<div class="ingroups"><a class="el" href="group__Materials.html">Materials</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GpuLogicalIndexUse" -->
<p>Structure recording the use of a physical buffer by a logical parameter index.  
 <a href="structOgre_1_1GpuLogicalIndexUse.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>&gt;</code></p>

<p><a href="structOgre_1_1GpuLogicalIndexUse-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuLogicalIndexUse.html#a91d1c0191ce855328ae7f22488c1d5a0">GpuLogicalIndexUse</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuLogicalIndexUse.html#a9f135f5ed4d3c13a5e9df38abf4aec3d">GpuLogicalIndexUse</a> (size_t bufIdx, size_t curSz, <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> v)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuLogicalIndexUse.html#af0fbf51e578ed82d008b1f4346bae20b">physicalIndex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Physical buffer index.  <a href="#af0fbf51e578ed82d008b1f4346bae20b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuLogicalIndexUse.html#a01c5262cf4575c5eee15bca1f318762c">currentSize</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Current physical size allocation.  <a href="#a01c5262cf4575c5eee15bca1f318762c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuLogicalIndexUse.html#aaf903f4b7f9d1b7e5c72f768388b408e">variability</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">How the contents of this slot vary.  <a href="#aaf903f4b7f9d1b7e5c72f768388b408e"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Structure recording the use of a physical buffer by a logical parameter index. </p>
<p>Only used for low-level programs. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00342">342</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a91d1c0191ce855328ae7f22488c1d5a0"></a><!-- doxytag: member="Ogre::GpuLogicalIndexUse::GpuLogicalIndexUse" ref="a91d1c0191ce855328ae7f22488c1d5a0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GpuLogicalIndexUse.html#a91d1c0191ce855328ae7f22488c1d5a0">Ogre::GpuLogicalIndexUse::GpuLogicalIndexUse</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00351">351</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9f135f5ed4d3c13a5e9df38abf4aec3d"></a><!-- doxytag: member="Ogre::GpuLogicalIndexUse::GpuLogicalIndexUse" ref="a9f135f5ed4d3c13a5e9df38abf4aec3d" args="(size_t bufIdx, size_t curSz, uint16 v)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GpuLogicalIndexUse.html#a91d1c0191ce855328ae7f22488c1d5a0">Ogre::GpuLogicalIndexUse::GpuLogicalIndexUse</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>bufIdx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>curSz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td>
          <td class="paramname"><em>v</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00353">353</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a01c5262cf4575c5eee15bca1f318762c"></a><!-- doxytag: member="Ogre::GpuLogicalIndexUse::currentSize" ref="a01c5262cf4575c5eee15bca1f318762c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GpuLogicalIndexUse.html#a01c5262cf4575c5eee15bca1f318762c">Ogre::GpuLogicalIndexUse::currentSize</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Current physical size allocation. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00347">347</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="af0fbf51e578ed82d008b1f4346bae20b"></a><!-- doxytag: member="Ogre::GpuLogicalIndexUse::physicalIndex" ref="af0fbf51e578ed82d008b1f4346bae20b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GpuLogicalIndexUse.html#af0fbf51e578ed82d008b1f4346bae20b">Ogre::GpuLogicalIndexUse::physicalIndex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Physical buffer index. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00345">345</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="aaf903f4b7f9d1b7e5c72f768388b408e"></a><!-- doxytag: member="Ogre::GpuLogicalIndexUse::variability" ref="aaf903f4b7f9d1b7e5c72f768388b408e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="structOgre_1_1GpuLogicalIndexUse.html#aaf903f4b7f9d1b7e5c72f768388b408e">Ogre::GpuLogicalIndexUse::variability</a><code> [mutable]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>How the contents of this slot vary. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00349">349</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:56
</p>
</body>
</html>
